Subject: [Mud] [Add] Chromecast using 8.8.8.8 (fwd) Paul Hoffman: [Add] Chromecast using 8.8.8.8

From: Michael Richardson <[email-masked]>
Date: Fri, 09 Aug 2019 11:05:06 -0400

It would be interesting to have  MUD file for the Chromecast.

Subject: [Add] Chromecast using 8.8.8.8
From: Paul Hoffman <[email-masked]>
To: ADD Mailing list <[email-masked]>
Date: Fri, 9 Aug 2019 02:03:42 +0000
List-Id: Applications Doing DNS <add.ietf.org>

Greetings again. Earlier on the list, it was discussed that Google's Chromecast device uses 8.8.8.8 for DNS service regardless of the settings that were provided by DHCP from the wireless access point. I bought a new one and captured the DNS traffic, and that statement is oddly approximately half-true.

For every DNS lookup, the Chromecast sends the the same query to 8.8.8.8 *and* the resolver that it was given by DHCP. A popular way to control a Chromecast is with the GoogleHome application on a phone. On my iPhone on the same wireless access point, GoogleHome always used the resolver from DHCP. Note that GoogleHome gave the Wifi password to the Chromecast during setup, so it could have passed other settings like the resolver address, but appears not to have.

The Chromecast's use of 8.8.8.8 continued after setup and reboot, so it was not just a fluke of the setup process. There is no way in GoogleHome that I could find to set the network settings for the Chromecast other than to change the wireless access point. (The tinkerer in me was tempted to set up a resolver that sometime changes the addresses it sends out and see what the Chromecast does with the differing information, but that's beyond the scope of this problem.)

For comparison, I installed a new Amazon Firestick, and all DNS went to the resolver configured from DHCP.

I'm not sure how to categorize the Chromecast's odd behavior, but it certainly is sending queries to a DNS resolver that is not expected by the network administrator. I'd be interested to hear from folks on this list if they know of other devices or applications that by default hard-code a different resolver address than the one that comes from the operating system (for applications) or DHCP (for devices).

--Paul Hoffman
--
Add mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/add